Exports
Prepare artifact version for export
Prepare an artifact version to be exported by returning a signed payload containing presigned URLs for the artifact files.
GET
/
artifacts
/
v1
/
artifacts
/
{artifact-id}
/
versions
/
{execution-name}
/
export-types
/
{export-type}
/
exports
/
{export-target-id}
/
prepare
Prepare artifact version for export
curl --request GET \
--url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepareimport requests
url = "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
{
"filename": "<string>",
"url": "<string>"
}
],
"signature": "<string>",
"$schema": "https://example.com/schemas/SignedArtifactVersionPresignedUrls.json"
}{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
UUID of the artifact
Name of the workflow execution
Export type: dataset, report, model
Export target ID e.g. Domino Dataset ID
Query Parameters
Project of the workflow execution
Domain of the workflow execution
Response
OK
Last modified on August 19, 2026
Was this page helpful?
⌘I
Prepare artifact version for export
